import java.util.Locale;
import java.text.NumberFormat;
import java.util.Currency;
import java.math.BigDecimal;

public class LocaleDemo {

	public static void main(String[] args) {

		Locale[] locales = Locale.getAvailableLocales();
		Locale locale = new Locale("es", "CO");
		String language = locale.getLanguage();
		String country = locale.getCountry();

		System.out.println("Language : " + language);
		System.out.println("Country  : " + country);

		double db = 1000000.25;

		System.out.println("double data primitive type :" + db);

		try {
			BigDecimal value = new BigDecimal(db);
			String strValue = "";
			NumberFormat form = NumberFormat.getNumberInstance(locale);
			form.setMinimumFractionDigits(2);
			strValue = form.format(value.doubleValue());
			System.out.println( "Valor: " + strValue);
		} catch (RuntimeException e) {
			e.printStackTrace();
		}
	}
}
